image: jpkrause/react-native-gitlab-ci-build

cache:
  paths:
    - node_modules/
    - .gradle/

stages:
  - build

before_script:
  - export GRADLE_USER_HOME=$(pwd)/.gradle
  - chmod +x ./android/gradlew

build:
  stage: build
  script:
    - npm install --unsafe-perm
    - cd android && ./gradlew assembleRelease
  artifacts:
    paths:
    - android/app/build/outputs/apk